<template>
  <JAvatar :size="avatarSize">
    <template
      v-if="hideStatus === false"
      #status
    >
      <JIcon icon="activeStatus" />
    </template>
    <BaseImg
      :src="avatar"
    />
  </JAvatar>
</template>

<script setup lang="ts">
import { JAvatar, JIcon } from '@new-jira-clone/ui/src/components';

defineProps({
  avatar: {
    type: String,
    required: true,
  },
  avatarSize: {
    type: String,
    default: 'm',
  },
  hideStatus: {
    type: Boolean,
    default: false,
  },
});
</script>
